%global npm_name concat-stream

Summary:       writable stream that concatenates strings or binary data
Name:          nodejs-%{npm_name}
Version:       1.4.7
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/sindresorhus/repeating
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
A. writable stream that concatenates strings or binary data and 
calls a callback with the result.

Streams emit many buffers. If you want to collect all of the buffers, 
and when the stream ends concatenate all of the buffers together and 
receive a single buffer then this is the module for you.

Only use this if you know you can fit all of the output of your stream 
into a single Buffer (e.g. in RAM).

There are also objectMode streams that emit things other than Buffers, 
and you can concatenate these too. 

%prep
%setup -q -n package

%nodejs_fixdep readable-stream '>=1.1.9'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 1.4.7-3
- Fixup dependencies

* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 1.4.7-2
- spec change: npmname -> npm_name

* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 1.4.7-1
- Initial package
